Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/wordsections/wordsections.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/wordsections/wordsections.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/wordsections/wordsections.xsl	(revision 2397)
@@ -1,125 +1,133 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                xmlns:prop="http://schemas.openxmlformats.org/officeDocument/2006/custom-properties"
-                xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main"
-                xmlns:cp="http://schemas.openxmlformats.org/package/2006/metadata/core-properties"
-                xmlns:dc="http://purl.org/dc/elements/1.1/"
-                xmlns:dcterms="http://purl.org/dc/terms/"
-                xmlns:dcmitype="http://purl.org/dc/dcmitype/"
-                xmlns:iso="http://www.iso.org/ns/1.0"
-                xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math"
-                xmlns:mml="http://www.w3.org/1998/Math/MathML"
-                xmlns:mo="http://schemas.microsoft.com/office/mac/office/2008/main"
-                xmlns:mv="urn:schemas-microsoft-com:mac:vml"
-                xmlns:o="urn:schemas-microsoft-com:office:office"
-                xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture"
-                xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
-                xmlns:rel="http://schemas.openxmlformats.org/package/2006/relationships"
-                xmlns:tbx="http://www.lisa.org/TBX-Specification.33.0.html"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:teidocx="http://www.tei-c.org/ns/teidocx/1.0"
-                xmlns:v="urn:schemas-microsoft-com:vml"
-                xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006"
-                xmlns:w10="urn:schemas-microsoft-com:office:word"
-                xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
-                xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml"
-                xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
-                
-                xmlns="http://www.tei-c.org/ns/1.0"
-                version="2.0"
-                exclude-result-prefixes="a cp dc dcterms dcmitype prop     iso m mml mo mv o pic r rel     tbx tei teidocx v xs ve w10 w wne wp">
-    
-    <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p> TEI stylesheet for converting Word docx files to TEI </p>
-         <p>This software is dual-licensed:
+<xsl:stylesheet
+	xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:prop="http://schemas.openxmlformats.org/officeDocument/2006/custom-properties"
+	xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main"
+	xmlns:cp="http://schemas.openxmlformats.org/package/2006/metadata/core-properties"
+	xmlns:dc="http://purl.org/dc/elements/1.1/"
+	xmlns:dcterms="http://purl.org/dc/terms/"
+	xmlns:dcmitype="http://purl.org/dc/dcmitype/"
+	xmlns:iso="http://www.iso.org/ns/1.0"
+	xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math"
+	xmlns:mml="http://www.w3.org/1998/Math/MathML"
+	xmlns:mo="http://schemas.microsoft.com/office/mac/office/2008/main"
+	xmlns:mv="urn:schemas-microsoft-com:mac:vml"
+	xmlns:o="urn:schemas-microsoft-com:office:office"
+	xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture"
+	xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships"
+	xmlns:rel="http://schemas.openxmlformats.org/package/2006/relationships"
+	xmlns:tbx="http://www.lisa.org/TBX-Specification.33.0.html"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teidocx="http://www.tei-c.org/ns/teidocx/1.0"
+	xmlns:v="urn:schemas-microsoft-com:vml"
+	xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006"
+	xmlns:w10="urn:schemas-microsoft-com:office:word"
+	xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main"
+	xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml"
+	xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing"
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+	xmlns="http://www.tei-c.org/ns/1.0" version="2.0"
+	exclude-result-prefixes="a cp dc dcterms dcmitype prop     iso m mml mo mv o pic r rel     tbx tei teidocx v xs ve w10 w wne wp">
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p> TEI stylesheet for converting Word docx files to TEI </p>
+			<p>This software is dual-licensed:
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				All rights reserved.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: wordsections.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
-         <p>Copyright: 2008, TEI Consortium</p>
-      </desc>
-   </doc>
-    
-    
-    
-    <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc>
-         <p>match strange word sections</p>
-         <p>
-            See comment at begin of document to understand why this template is calling
-            a named template. It matches strange Word "sections".
-        </p>
-      </desc>
-   </doc>
-    <xsl:template match="w:p[w:pPr/w:sectPr]|w:sectPr" mode="paragraph">
-        <xsl:call-template name="paragraph-sectpr"/>
-    </xsl:template>
-    
-    
-    <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-      <desc>
-        Template called by a match on w:p[w:pPr/w:sectPr]|w:sectPr
-    </desc>
-   </doc>
-    <xsl:template name="paragraph-sectpr">
-      <xsl:if test="$preserveWordSections='true'">
-        <xsl:for-each select="descendant-or-self::w:sectPr">
-            <milestone unit="section">
-                <xsl:for-each select="w:headerReference">
-                    <tei:header type="{@w:type}" ref="{@r:id}"/>
-                </xsl:for-each>
-                <xsl:for-each select="w:footerReference">
-                    <tei:footer type="{@w:type}" ref="{@r:id}"/>
-                </xsl:for-each>
-                <xsl:if test="w:pgSz/@w:orient='landscape'">
-                    <tei:orientation type="landscape"/>
-                </xsl:if>
-                <xsl:if test="w:pgNumType">
-                    <tei:pageNumbering>
-                        <xsl:if test="w:pgNumType/@w:start">
-                            <xsl:attribute name="start" select="w:pgNumType/@w:start"/>
-                        </xsl:if>
-                        <xsl:if test="w:pgNumType/@w:fmt">
-                            <xsl:attribute name="type" select="w:pgNumType/@w:fmt"/>
-                        </xsl:if>
-                    </tei:pageNumbering>
-                </xsl:if>
-            </milestone>
-        </xsl:for-each>
-      </xsl:if>
-      <xsl:next-match/>
-    </xsl:template>
-    
-    
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
+
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
+
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
+
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: wordsections.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
+			<p>Copyright: 2008, TEI Consortium</p>
+		</desc>
+	</doc>
+
+
+
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+			<p>match strange word sections</p>
+			<p>
+				See comment at begin of document to understand why this template is
+				calling
+				a named template. It matches strange Word "sections".
+			</p>
+		</desc>
+	</doc>
+	<xsl:template match="w:p[w:pPr/w:sectPr]|w:sectPr"
+		mode="paragraph">
+		<xsl:call-template name="paragraph-sectpr" />
+	</xsl:template>
+
+
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+			Template called by a match on w:p[w:pPr/w:sectPr]|w:sectPr
+		</desc>
+	</doc>
+	<xsl:template name="paragraph-sectpr">
+		<xsl:if test="$preserveWordSections='true'">
+			<xsl:for-each select="descendant-or-self::w:sectPr">
+				<milestone unit="section">
+					<xsl:for-each select="w:headerReference">
+						<tei:header type="{@w:type}" ref="{@r:id}" />
+					</xsl:for-each>
+					<xsl:for-each select="w:footerReference">
+						<tei:footer type="{@w:type}" ref="{@r:id}" />
+					</xsl:for-each>
+					<xsl:if test="w:pgSz/@w:orient='landscape'">
+						<tei:orientation type="landscape" />
+					</xsl:if>
+					<xsl:if test="w:pgNumType">
+						<tei:pageNumbering>
+							<xsl:if test="w:pgNumType/@w:start">
+								<xsl:attribute name="start"
+									select="w:pgNumType/@w:start" />
+							</xsl:if>
+							<xsl:if test="w:pgNumType/@w:fmt">
+								<xsl:attribute name="type"
+									select="w:pgNumType/@w:fmt" />
+							</xsl:if>
+						</tei:pageNumbering>
+					</xsl:if>
+				</milestone>
+			</xsl:for-each>
+		</xsl:if>
+		<xsl:next-match />
+	</xsl:template>
+
+
 </xsl:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/dynamic/tests/xspec/test-toc-scenario.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/dynamic/tests/xspec/test-toc-scenario.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/docx/from/dynamic/tests/xspec/test-toc-scenario.xsl	(revision 2397)
@@ -1,66 +1,88 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:test="http://www.jenitennison.com/xslt/unit-test"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                xmlns:s="http://www.jenitennison.com/xslt/xspec"
-                xmlns:o="http://www.w3.org/1999/XSL/TransformAliasAlias"
-                xmlns:xs="http://www.w3.org/2001/XMLSchema"
-                xmlns:x="http://www.jenitennison.com/xslt/xspec"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns="http://www.tei-c.org/ns/1.0"
-                version="2.0">
-   <xsl:import href="file:/usr/local/bin/xspec-v0.1/generate-tests-utils.xsl"/>
-   <xsl:import href="file:/Users/amittelbach/EDV%20Dienstleistungen/Kunden/OUCS/TEIISO/workspace/Stylesheets/docx/from/dynamic/toc.xsl"/>
-   <xsl:namespace-alias stylesheet-prefix="o" result-prefix="xsl"/>
-   <xsl:variable name="s:stylesheet-uri" as="xs:string"
-                 select="'file:/Users/amittelbach/EDV%20Dienstleistungen/Kunden/OUCS/TEIISO/workspace/Stylesheets/docx/from/dynamic/toc.xsl'"/>
-   <xsl:output method="xml" indent="yes"/>
-   <xsl:template name="s:main">
-      <xsl:message>
-         <xsl:text>Testing with </xsl:text>
-         <xsl:value-of select="system-property('xsl:product-name')"/>
-         <xsl:text> </xsl:text>
-         <xsl:value-of select="system-property('xsl:product-version')"/>
-      </xsl:message>
-      <xsl:processing-instruction name="xml-stylesheet">type="text/xsl" href="file:/usr/local/bin/xspec-v0.1/format-xspec-report.xsl"</xsl:processing-instruction>
-      <s:report stylesheet="{$s:stylesheet-uri}" date="{current-dateTime()}">
-         <xsl:call-template name="s:d4e1"/>
-      </s:report>
-   </xsl:template>
-   <xsl:template name="s:d4e1">
-      <xsl:message>test creating table of contents</xsl:message>
-      <s:scenario label="test creating table of contents">
-         <s:call template="tocSection"/>
-         <xsl:variable name="actual-result" as="item()*">
-            <xsl:call-template name="tocSection"/>
-         </xsl:variable>
-         <xsl:call-template name="test:report-value">
-            <xsl:with-param name="value" select="$actual-result"/>
-            <xsl:with-param name="wrapper-name" select="'s:result'"/>
-            <xsl:with-param name="wrapper-ns" select="'http://www.jenitennison.com/xslt/xspec'"/>
-         </xsl:call-template>
-         <xsl:call-template name="s:d4e3">
-            <xsl:with-param name="actual-result" select="$actual-result"/>
-         </xsl:call-template>
-      </s:scenario>
-   </xsl:template>
-   <xsl:template name="s:d4e3">
-      <xsl:param name="actual-result" as="item()*" required="yes"/>
-      <xsl:message>    a divGen element should be created</xsl:message>
-      <xsl:variable name="expected-result-doc" as="document-node()">
-         <xsl:document>
-            <divGen type="toc"/>
-         </xsl:document>
-      </xsl:variable>
-      <xsl:variable name="expected-result" select="$expected-result-doc/node()"/>
-      <xsl:variable name="successful" as="xs:boolean"
-                    select="test:deep-equal($expected-result, $actual-result, 2)"/>
-      <xsl:if test="not($successful)">
-         <xsl:message>      FAILED</xsl:message>
-      </xsl:if>
-      <s:test label="a divGen element should be created" successful="{$successful}">
-         <s:expect>
-            <divGen type="toc"/>
-         </s:expect>
-      </s:test>
-   </xsl:template>
+<xsl:stylesheet
+	xmlns:test="http://www.jenitennison.com/xslt/unit-test"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:s="http://www.jenitennison.com/xslt/xspec"
+	xmlns:o="http://www.w3.org/1999/XSL/TransformAliasAlias"
+	xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	xmlns:x="http://www.jenitennison.com/xslt/xspec"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns="http://www.tei-c.org/ns/1.0" version="2.0">
+	<xsl:import
+		href="file:/usr/local/bin/xspec-v0.1/generate-tests-utils.xsl" />
+	<xsl:import
+		href="file:/Users/amittelbach/EDV%20Dienstleistungen/Kunden/OUCS/TEIISO/workspace/Stylesheets/docx/from/dynamic/toc.xsl" />
+	<xsl:namespace-alias stylesheet-prefix="o"
+		result-prefix="xsl" />
+	<xsl:variable name="s:stylesheet-uri" as="xs:string"
+		select="'file:/Users/amittelbach/EDV%20Dienstleistungen/Kunden/OUCS/TEIISO/workspace/Stylesheets/docx/from/dynamic/toc.xsl'" />
+	<xsl:output method="xml" indent="yes" />
+	<xsl:template name="s:main">
+		<xsl:message>
+			<xsl:text>Testing with </xsl:text>
+			<xsl:value-of
+				select="system-property('xsl:product-name')" />
+			<xsl:text> </xsl:text>
+			<xsl:value-of
+				select="system-property('xsl:product-version')" />
+		</xsl:message>
+		<xsl:processing-instruction
+			name="xml-stylesheet">
+			type="text/xsl"
+			href="file:/usr/local/bin/xspec-v0.1/format-xspec-report.xsl"
+		</xsl:processing-instruction>
+		<s:report stylesheet="{$s:stylesheet-uri}"
+			date="{current-dateTime()}">
+			<xsl:call-template name="s:d4e1" />
+		</s:report>
+	</xsl:template>
+	<xsl:template name="s:d4e1">
+		<xsl:message>
+			test creating table of contents
+		</xsl:message>
+		<s:scenario label="test creating table of contents">
+			<s:call template="tocSection" />
+			<xsl:variable name="actual-result" as="item()*">
+				<xsl:call-template name="tocSection" />
+			</xsl:variable>
+			<xsl:call-template name="test:report-value">
+				<xsl:with-param name="value" select="$actual-result" />
+				<xsl:with-param name="wrapper-name"
+					select="'s:result'" />
+				<xsl:with-param name="wrapper-ns"
+					select="'http://www.jenitennison.com/xslt/xspec'" />
+			</xsl:call-template>
+			<xsl:call-template name="s:d4e3">
+				<xsl:with-param name="actual-result"
+					select="$actual-result" />
+			</xsl:call-template>
+		</s:scenario>
+	</xsl:template>
+	<xsl:template name="s:d4e3">
+		<xsl:param name="actual-result" as="item()*" required="yes" />
+		<xsl:message>
+			a divGen element should be created
+		</xsl:message>
+		<xsl:variable name="expected-result-doc"
+			as="document-node()">
+			<xsl:document>
+				<divGen type="toc" />
+			</xsl:document>
+		</xsl:variable>
+		<xsl:variable name="expected-result"
+			select="$expected-result-doc/node()" />
+		<xsl:variable name="successful" as="xs:boolean"
+			select="test:deep-equal($expected-result, $actual-result, 2)" />
+		<xsl:if test="not($successful)">
+			<xsl:message>
+				FAILED
+			</xsl:message>
+		</xsl:if>
+		<s:test label="a divGen element should be created"
+			successful="{$successful}">
+			<s:expect>
+				<divGen type="toc" />
+			</s:expect>
+		</s:test>
+	</xsl:template>
 </xsl:stylesheet>
\ No newline at end of file
